<form>
  <div class="input-group container">
    <div class="col-6 ml">
      <input type="search" class="form-control rounded" placeholder="Search" aria-label="Search"
             aria-describedby="search-addon" name="searchTerm" [(ngModel)]="service.searchTerm"/>
    </div>
    <div class="col-3"></div>
    <div class="px-2">
      <app-add-category></app-add-category>
    </div>
    <div class="px-2">
      <app-add-dish></app-add-dish>
    </div>
    <div class="col-5">
      <span class="" *ngIf="service.loading$ | async"> Loading...</span>
    </div>
  </div>

  <table class="table table-striped">
    <thead>
    <tr>
      <th scope="col" sortable="name" (sort)="onSort($event)">Dish Name</th>
      <th scope="col" sortable="category" (sort)="onSort($event)">Description</th>
      <th scope="col" sortable="price" (sort)="onSort($event)">Price</th>
      <th scope="col"></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let dish of dishes$ | async">
      <td>
        <ngb-highlight [result]="dish.name" [term]="service.searchTerm"></ngb-highlight>
      </td>
      <td >
        <b style="color: cadetblue">
          <ngb-highlight [result]="dish.category.name" [term]="service.searchTerm"></ngb-highlight>
        </b>
        <br>
        <ngb-highlight [result]="dish.description" [term]="service.searchTerm"></ngb-highlight>
      </td>
      <td><ngb-highlight [result]="dish.price | number" [term]="service.searchTerm"></ngb-highlight></td>
      <td>
        <div class="d-flex flex-column mt-4">
          <button
            class="btn btn-outline-primary btn-sm"
            type="button">
            Edit
          </button>
          <button
            class="btn btn-outline-danger btn-sm mt-2"
            type="button">
            Delete
          </button>
        </div>
      </td>
    </tr>
    </tbody>
  </table>

  <div class="d-flex justify-content-between p-2">
    <ngb-pagination
      [collectionSize]="(total$ | async)!" [(page)]="service.page" [pageSize]="service.pageSize">
    </ngb-pagination>

    <select class="custom-select" style="width: auto" name="pageSize" [(ngModel)]="service.pageSize">
      <option [ngValue]="10">10 items per page</option>
      <option [ngValue]="15">15 items per page</option>
      <option [ngValue]="20">20 items per page</option>
    </select>
  </div>

</form>
